%global _name   mate_menu
%global _internal_version e4a6065685d3
%global _internal_name ubuntu-mate-mate-menu

Name:           mate-menu
Version:        16.10.1
Release:        %mkrel 3
Summary:        Advanced Menu for the MATE Desktop
Group:          Graphical desktop/MATE
# mate_menu/keybinding.py use MIT license and the rest is under GPLv2+
License:        GPLv2+ and MIT
BuildArch:      noarch
Url:            https://bitbucket.org/ubuntu-mate/mate-menu
Source0:        https://bitbucket.org/ubuntu-mate/%{name}/get/%{version}.tar.bz2
Source1:        applications.list.in
Source2:        mageia.ico
Source3:        mageia-mintmenu.tar.xz
Source4:        mageia-menu.svg

Patch1:         mate-menu-mga_mcc.patch
Patch2:         mate-menu-mga_mageia_search.patch
Patch3:         mate-menu-mga_menu_icon.patch
Patch4:         mate-menu-mga-about.patch

BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:  intltool
BuildRequires:  python-devel >= 2.7
BuildRequires:  python-distutils-extra
BuildRequires:  python-setuptools
BuildRequires:  desktop-file-utils

Requires:       mate-menus >= 1.16.0
Requires:       mozo
Requires:       python-configobj
Requires:       python-gobject
Requires:       python-pyxdg
Requires:       python-xlib
Requires:       mate-panel >= 1.16.0
Requires:       gksu-polkit

Obsoletes: mintmenu <= 0:5.6.5-3
Provides: mintmenu

%description
An advanced menu for MATE. Supports filtering, favorites,
auto-session, and many other features.
This menu originated in the Linux Mint distribution and has
been ported to other distributions that ship the MATE Desktop
Environment.


%prep
%autosetup -n %{_internal_name}-%{_internal_version} -p1

# xdg-su isn't available in fedora
sed -i 's/xdg-su/gksu-polkit/g' %{_name}/execute.py
#some python fixes
sed -i 's/#!\/usr\/bin\/env python2/#!\/usr\/bin\/python2/g' lib/%{name}.py
sed -i 's/#!\/usr\/bin\/env python/#!\/usr\/bin\/python2/g' lib/%{name}-config.py

# Install mageia icon for search engine
install -m 644 -p %{_sourcedir}/mageia.ico data/icons/

# Install mageia icon as menu icon
install -m 644 -p %{_sourcedir}/mageia-menu.svg data/icons/

%build
python2 setup.py build

# Mageia custom translation: Convert .mo files to .po templates again.
tar xvJf %{_sourcedir}/mageia-mintmenu.tar.xz
pushd po/
mint_langs="af ckb et  hy li nn  si  tlh am crh eu  ia lo nso sk  tpi an cs  fa  id lt oc  sl  tr ar csb fi  is lv om  sn  ts as cv  fil it mai or  so  ug ast cy  fo  ja mg pa  sq  uk da  fr  jv mhr pap sr  ur ban de  fr_CA ka mk pl sr@ijekavianlatin  dz kab ml ps  sr@latin be@latin  el  gaa kk pt  su  vi ber en_AU gd  km mr pt_BR sv  bg en_CA gl  kn pt_PT sw  xh bn en_GB gu  ko mus ro  ta  yi bn_IN en@shaw gv  ksw my ru  te  zh_CN br en_US he nb rue zh_HK bs eo  hi nds rw  zh_TW ca es  hr  la ne sco th  zu ca@valencia es_AR hu lb nl shn"
for i in $mint_langs; do
    if [ ! -f ../mageia-mintmenu/$i.po ]; then
        continue
    fi
    msgunfmt -o ../build/mo/$i/LC_MESSAGES/mate-menu.po ../build/mo/$i/LC_MESSAGES/mate-menu.mo
    msgcat ../build/mo/$i/LC_MESSAGES/mate-menu.po ../mageia-mintmenu/$i.po > ../build/mo/$i/LC_MESSAGES/$i.po
    rm -f ../build/mo/$i/LC_MESSAGES/mate-menu.*
    msgfmt -o ../build/mo/$i/LC_MESSAGES/mate-menu.mo ../build/mo/$i/LC_MESSAGES/$i.po
    rm -f ../build/mo/$i/LC_MESSAGES/$i.po
done
popd

%install
python2 setup.py install --root=%{buildroot}

# avoid rpmlint invalid-lc-messages-dir and incorrect-locale-subdir errors
rm -rf %{buildroot}%{_datadir}/locale/ber
rm -rf %{buildroot}%{_datadir}/locale/es_419/LC_MESSAGES/mate-menu.mo
rm -rf %{buildroot}%{_datadir}/locale/es_419/LC_MESSAGES/mate-menu.mo
rm -rf %{buildroot}%{_datadir}/locale/nah/LC_MESSAGES/mate-menu.mo
rm -rf %{buildroot}%{_datadir}/locale/zh-Hans/LC_MESSAGES/mate-menu.mo
rm -rf %{buildroot}%{_datadir}/locale/zh-Hans/

# Install our applications.list
rm -fr %{buildroot}%{_datadir}/mate-menu/applications.list
install -m 644 -p %{_sourcedir}/applications.list.in %{buildroot}%{_datadir}/mate-menu/applications.list

%find_lang %{name}


%files -f %{name}.lang
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_prefix}/lib/%{name}/
%{python2_sitelib}/%{_name}/
%{python2_sitelib}/%{_name}-%{version}-py2.7.egg-info/
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.mate.mate-menu*.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.panel.MateMenuApplet.mate-panel-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateMenuAppletFactory.service
%{_mandir}/man1/mate-menu.1.*



%changelog
* Thu Feb 23 2017 tarakbumba <tarakbumba> 16.10.1-3.mga6
+ Revision: 1087457
- Fix Mageia Control Center translations in Preferences screen
- Add mageia logo as default menu icon

* Mon Jan 09 2017 tarakbumba <tarakbumba> 16.10.1-1.mga6
+ Revision: 1080770
- Obsolete mintmenu
- Adapt package to Mageia
- imported package mate-menu

